Page MenuHomePhabricator

Implement GeoJSON shared on-wiki storage
Closed, ResolvedPublic

Description

Implement an ability to store GeoJSON data as a page on Commons. The data will be stored as JSON content in the following structure:

{
  "license": "CC0-1.0",
  "info": { "en": "description in English", ...  },
  "data": {
    // raw GeoJSON data
  }
}

The data will be stored on Commons as Data:Page Title.map (data namespace, with a mandatory .map "extension").

Localization support:

  • page description may have an "info" top level key-value object, with the key being a valid language code.
  • All "properties" elements may contain title and description fields. Those fields may either be strings or key-value objects.

Kartographer (<mapframe> and <maplink> elements) will be able to access this data using "ExternalData" elements. The standalone GeoJSON pages will not support "ExternalData" that points to other GeoJSON pages.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterLABS: Enable Map (GeoJSON) data on Commons
mediawiki/extensions/JsonConfig : masterAdd geojson content model with a mapframe view

Event Timeline

Yurik created this task.Oct 31 2016, 7:14 AM
Restricted Application added a project: Discovery. · View Herald TranscriptOct 31 2016, 7:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 281354 had a related patch set uploaded (by Yurik):
Add geojson content model with a mapframe view

https://gerrit.wikimedia.org/r/281354

MaxSem moved this task from Backlog to Needs review on the Maps-Sprint board.Nov 1 2016, 5:43 PM

Change 281354 merged by jenkins-bot:
Add geojson content model with a mapframe view

https://gerrit.wikimedia.org/r/281354

Change 319605 had a related patch set uploaded (by Yurik):
LABS: Enable Map (GeoJSON) data on Commons

https://gerrit.wikimedia.org/r/319605

Change 319605 merged by jenkins-bot:
LABS: Enable Map (GeoJSON) data on Commons

https://gerrit.wikimedia.org/r/319605

Mentioned in SAL (#wikimedia-operations) [2016-11-03T18:39:53Z] <thcipriani@tin> Synchronized wmf-config: SWAT: [[gerrit:319605|LABS: Enable Map (GeoJSON) data on Commons (T149548)]] (housekeeping only sync) (duration: 00m 50s)

Yurik closed this task as Resolved.Nov 8 2016, 5:34 AM
Deskana moved this task from Needs review to Done on the Maps-Sprint board.Apr 19 2017, 4:27 PM